<?php
/**
 * ChatTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  text-magic
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * TextMagic
 *
 * TextMagic REST API
 *
 * OpenAPI spec version: 2
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 * Swagger Codegen version: 2.4.7
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Please update the test case below to test the model.
 */

namespace text-magic;

/**
 * ChatTest Class Doc Comment
 *
 * @category    Class
 * @description Chat
 * @package     text-magic
 * @author      Swagger Codegen team
 * @link        https://github.com/swagger-api/swagger-codegen
 */
class ChatTest extends \PHPUnit_Framework_TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "Chat"
     */
    public function testChat()
    {
    }

    /**
     * Test attribute "id"
     */
    public function testPropertyId()
    {
    }

    /**
     * Test attribute "originalId"
     */
    public function testPropertyOriginalId()
    {
    }

    /**
     * Test attribute "phone"
     */
    public function testPropertyPhone()
    {
    }

    /**
     * Test attribute "contact"
     */
    public function testPropertyContact()
    {
    }

    /**
     * Test attribute "unsubscribedContactId"
     */
    public function testPropertyUnsubscribedContactId()
    {
    }

    /**
     * Test attribute "unread"
     */
    public function testPropertyUnread()
    {
    }

    /**
     * Test attribute "updatedAt"
     */
    public function testPropertyUpdatedAt()
    {
    }

    /**
     * Test attribute "status"
     */
    public function testPropertyStatus()
    {
    }

    /**
     * Test attribute "mute"
     */
    public function testPropertyMute()
    {
    }

    /**
     * Test attribute "lastMessage"
     */
    public function testPropertyLastMessage()
    {
    }

    /**
     * Test attribute "direction"
     */
    public function testPropertyDirection()
    {
    }

    /**
     * Test attribute "from"
     */
    public function testPropertyFrom()
    {
    }

    /**
     * Test attribute "mutedUntil"
     */
    public function testPropertyMutedUntil()
    {
    }

    /**
     * Test attribute "timeLeftMute"
     */
    public function testPropertyTimeLeftMute()
    {
    }

    /**
     * Test attribute "country"
     */
    public function testPropertyCountry()
    {
    }
}
